<div class="top-panel-actions">

	<select id="dealers_list" data-tab="cat_map">
		<option id="0">Выберите дистрибьютора</option>
        <?php
        foreach ($data['prices'] as $price) {
            ?>
			<option <?php if ($data['selected_id'] == $price->price_id)
                echo " selected "; ?> id="<?= $price->price_id ?>"><?= $price->price_name ?></option>
            <?php
        }
        ?>
	</select>

	<div>
        <button class="button mr-2" id="delete_empty_bindings">Очистить привязки к несуществующим разделам</button>
        <button class="button button-primary" id="dealer_cat_import">Импортировать структуру каталога</button>
        <button class="button button-primary" id="dealer_sub_import">Импортировать выделенную категорию</button>
    </div>

</div>


<div id="cat_map" style="width:100%">


	<div id="dealer_categories" style="float:left; width:50%;  margin: 0 auto;">
		<table class="wp-list-table widefat striped posts dealers_table" style="border-bottom: 0px">
			<thead>
			<tr>
				<td class="manage-column column-cb">
					<h3 style="margin: 3px">Категории дистрибьютора</h3>
					<div class="search-categories">
						<button class="button" style="display: flex !important; margin-left: 10px"
						        data-toggle-matched="dealer_categories">
							Сведённые
						</button>

						<input html-search="dealer_categories" required=""
                               html-search-options='{"wrapper":"#dealer_categories .categories-section", "parent":"ul", "item":"[data-filter-item]", "btn":"#btn-dealer-founded"}'
						       class="regular-text search-categories__input no-outline"
						       placeholder="Поиск по категориям">
						<button class="button" html-search-clear='[html-search="dealer_categories"]'
						        html-search-navigator='[html-search="dealer_categories"]'>
							Очистить
						</button>
						<div class="founded-navigate-btn" id="btn-dealer-founded"
						     html-search-navigator='[html-search="dealer_categories"]'></div>
					</div>
				</td>
			</tr>

			</thead>
		</table>
		<div class="categories-section">
            <?php
            if (isset($data['dealer_categories'])) {
                $this->show_array_tree($data['dealer_categories'], $data['mappings'], $data['local_categories']);
            } else {
                echo '<div class="flex-center">Для начала, пожалуйста, выберите дистрибьютора</div>';
            }
            ?>
		</div>

	</div>
	<div id="local_categories" style="float:left; width: calc(50% - 3px);  margin: 0 auto 0 3px;">
		<table class="wp-list-table widefat striped posts dealers_table" style="border-bottom: 0px">
			<thead>
			<tr>
				<td class="manage-column column-cb">
					<h3 style="margin: 3px ">Локальные категории</h3>
					<div class="search-categories">
						<!--button class="button" style="display: flex !important; margin-left: 10px"
						        data-toggle-matched="local_categories">
							Сведённые
						</button-->

						<input html-search="local_categories" required=""
						       html-search-options='{"wrapper":"#local_categories .categories-section", "parent":"ul", "item":"li", "btn":"#btn-local-founded"}'
						       class="regular-text search-categories__input no-outline"
						       placeholder="Поиск по категориям">
						<button class="button" html-search-clear='[html-search="local_categories"]'
						        html-search-navigator='[html-search="local_categories"]'>
							Очистить
						</button>
						<div class="founded-navigate-btn" id="btn-local-founded"
						     html-search-navigator='[html-search="local_categories"]'></div>
					</div>
				</td>
			</tr>

			</thead>
		</table>
		<div class="categories-section">
            <?php
            $this->show_object_tree($data['local_categories_tree']);
            ?>
		</div>
	</div>

</div>
<?php
//print_r($data['dealer_categories_flat']);
?>