<button class="button button-primary run_dealers_update">Обновить выбранных дистрибьюторов</button>
<table class="wp-list-table widefat striped posts dealers_table">
    <thead>
    <tr>
        <td class="manage-column column-cb">Быстрое обновление</td>
        <td class="manage-column column-cb">Полное обновление</td>
        <th class="manage-column column-thumb">Название</th>
        <th class="manage-column column-thumb">Последнее обновление на 4dealer.ru</th>
        <th class="manage-column column-thumb">Последнее локальное обновление</th>
        <th class="manage-column column-thumb">Окончание подписки</th>
        <th class="manage-column column-thumb">Время обновления по расписанию</th>
    </tr>
    </thead>
    <?php

    if(isset($data['prices']) && is_array($data['prices'])) {
        foreach ($data['prices'] as $price) {
            $job_status = '';
            $job_id = '';
            $job_records = '';
            $full_job_status = '';
            $full_job_id = '';
            $full_job_records = '';

            if (isset($data['jobs']['short_price_update'][$price->price_id])) {
                $job_id = $data['jobs']['short_price_update'][$price->price_id]->cmd_id;
                $job_records = $data['jobs']['short_price_update'][$price->price_id]->records;
                $job_status = $data['jobs']['short_price_update'][$price->price_id]->status_name;
            }

            if (isset($data['jobs']['full_price_update'][$price->price_id])) {
                $full_job_id = $data['jobs']['full_price_update'][$price->price_id]->cmd_id;
                $full_job_records = $data['jobs']['full_price_update'][$price->price_id]->records;
                $full_job_status = $data['jobs']['full_price_update'][$price->price_id]->status_name;
            }

            ?>
            <tr>
                <td>
                    <input id="short_price_update_check-<?= $price->price_id ?>"
                           data-cmd-id="<?= $job_id ?>" <?= $job_id ? 'checked' : '' ?> class="checkbox update_dealer"
                           type="checkbox" data-dealer-id="<?= $price->price_id ?>" value="short_price_update">
                    <span id="short_price_update-<?= $price->price_id ?>" data-cmd-id="<?= $job_id ?>"
                          class="short_price_update_status"><?= $job_status ?></span>
                    <span id="short_price_update_records-<?= $price->price_id ?>" data-cmd-id="<?= $job_id ?>"
                          class="short_price_update_records"><?= $job_records ?></span>
                </td>
                <td>
                    <input id="full_price_update_check-<?= $price->price_id ?>"
                           data-cmd-id="<?= $full_job_id ?>" <?= $full_job_id ? 'checked' : '' ?>
                           class="checkbox update_dealer" type="checkbox" data-dealer-id="<?= $price->price_id ?>"
                           value="full_price_update">
                    <span id="full_price_update-<?= $price->price_id ?>" data-cmd-id="<?= $full_job_id ?>"
                          class="full_price_update_status"><?= $full_job_status ?></span>
                    <span id="full_price_update_records-<?= $price->price_id ?>" data-cmd-id="<?= $full_job_id ?>"
                          class="full_price_update_records"><?= $full_job_records ?></span>
                </td>
                <td>
                    <a href="/wp-admin/admin.php?page=4dealer_management&tab=dealer_detail&dealer_id=<?= $price->price_id ?>"><?= $price->price_name ?></a>
                </td>
                <td><?= $price->{'4dealer_last_update'} ?></td>
                <td><?= $price->local_last_update ?></td>
                <td><?= $price->subscription_end ?></td>
                <td>
                    <select data-price-id="<?= $price->price_id ?>" class="schedule_update_time"
                            id="schedule_update_time_<?= $price->price_id ?>">
                        <option value="-1">Отключено</option>
                        <?php
                        for ($i = 0; $i < 25; $i++) {
                            $selected = $i == $price->schedule_update_time ? 'selected' : '';
                            ?>
                            <option <?= $selected ?> value="<?= $i ?>"><?= $i ?></option>
                            <?php
                        }
                        ?>
                    </select>
                </td>
            </tr>
            <?php
        }
    }
    ?>

</table>

<button class="button button-primary run_dealers_update">Обновить выбранных дистрибьюторов</button>