<?php
$lev = 1;
$options = "<option value='0'>---все---</option>\n";
$sectionId = isset($_GET['section_id'])?$_GET['section_id']:0;

?>

	<style>
        .custom-combobox {
            position: relative;
            display: inline-block;
        }

        .custom-combobox-toggle {
            position: absolute;
            top: 0;
            bottom: 0;
            margin-left: -1px;
            padding: 0;
        }

        .custom-combobox-input {
            margin: 0;
            padding: 5px 10px;
        }

        .ui-widget.ui-widget-content {
            max-height: 400px;
            overflow-y: scroll;
            overflow-x: hidden;
            max-width: 100%;
            min-width: 364px;
        }
	</style>

	<!-- Modal -->

	<div class="modal fade min-vh-50" id="replacesModal" tabindex="-1" aria-labelledby="replacesModalLabel"
	     aria-hidden="true">
		<div class="modal-dialog modal-lg modal-dialog-centered modal-dialog-scrollable">
			<div class="modal-content" style="min-height: 500px;">

				<div class="modal-header">
					<h1 class="modal-title" id="replacesModalLabel">
						<small style="font-size: 14px">Список автозамен значений для свойства</small><br>
						<span id="replaces-modal-title">Закройте и откройте снова :(</span>
					</h1>
					<button type="button" class="close" data-dismiss="modal" aria-label="Close">
						<span aria-hidden="true">&times;</span>
					</button>
				</div>

				<div class="modal-body" replaces-modal-content="">

				</div>

				<div replaces-modal-recover="" class="p-2 px-3 text-right">
					Есть несохраненные изменения! <a class="text-primary pointer">Восстановить?</a>
				</div>

				<div class="modal-footer d-flex justify-content-between">
					<button type="button" class="button btn button-primary" id="add-new-replace">Добавить автозамену значения
					</button>
					<button type="button" class="button btn button-primary mr-2" replaces-save-btn="">Сохранить</button>
				</div>

			</div>
		</div>
	</div>

	<!-- /Modal -->

	<div>
		<h2>Управление параметрами импорта дистрибьютора</h2>
		<select id="dealers_list" data-tab="options_merge">
			<option id="0">Выберите дистрибьютора</option>
            <?php
            foreach ($data['prices'] as $price) {
                ?>
				<option <?php if ($data['selected_id'] == $price->price_id)
                    echo " selected "; ?>
						id="<?= $price->price_id ?>"><?= $price->price_name ?>
				</option>
                <?php
            }
            ?>
		</select>
	</div>

<?php if ($data['selected_id']) { ?>

	<div>

		<h2>Автоматическая загрузка всех свойств (атрибутов)</h2>

		<fieldset class="auto_load_options__wrapper">
			<legend class="screen-reader-text"><span></span></legend>
			<label>
				<input value="true" type="checkbox" <?=$data['checkboxAutoLoadOptions'] ? 'checked' : ''?> class="regular-text" id="auto_load_options">
				<b>Автоматически загружать все свойства (атрибуты)</b>
			</label>
		
                        <p>
                                Данная опция позволит автоматически создавать и загружать все существующие свойства (атрибуты) дистрибьютора в ваши товары.<br>
                                <b>Важно понимать:</b> количество свойств (атрибутов), их названия и значения будут переданы напрямую из данных дистрибьютора.<br>
                                Вы можете воспользоваться инструментарием в секции <i>"Сведение свойств по разделу"</i> для более тонкой настройки процесса импорта свойств (атрибутов)
                        </p>

			<legend class="screen-reader-text"><span></span></legend>
			<label>
				<input value="true" type="checkbox" <?=$data['checkboxPublicOptions'] ? 'checked' : ''?> class="regular-text" id="public_options">
				<b>Создавать свойства публичными</b>
			</label>
		</fieldset>

		<br>

		<h2>Сведение свойств по разделу</h2>

		<p>
			Указанные ниже свойства (атрибуты) будут добавлены во все товары выбранного раздела
		</p>

		<small><i>Отсутствие выбора в списке ниже означает, что не были сведены соответствующие категории у данного дистрибьютора.</i></small><br><br>

		<div class="d-flex align-items-end justify-content-start mb-3">

			<select class="options_merge option_category" combobox="" id="multiple-create-options-section">
				<option id="0" value="0" selected>Выберите категорию</option>
                <?php
                if (isset($data['local_merged_categories'])) {
                    foreach($data['local_merged_categories'] as $id => $name) {
                        echo '<option id="'. $id .'" value="'. $id .'">'. $name .'</option>';
                    }

                    if (isset($_GET['section_id']) && $_GET['section_id']) {
                        echo "<script>document.querySelector('#multiple-create-options-section').value = '" . $_GET['section_id'] . "'</script>";
                    }
                }
                ?>
			</select>

            <?php if ($sectionId) { ?>
				<button class="button button-danger float-right-btn my-0 ml-5" id="multiple-create-options">
					Создать все существующие свойства по этому разделу
				</button>
            <?php } ?>

		</div>

        <?php if ($sectionId) { ?>

			<table class="wp-list-table widefat striped posts">

				<thead>
				<tr>
					<th>
						<b>Название свойства
							               
							                                   →    
							<span title="* - указывайте, если локальное название отличается от названия св-ва дистрибьютора">Заменить на *</span></b>
					</th>
					<th><b>Автозамены значений</b></th>
					<th style="text-align: center"><b>Удалить</b></th>
				</tr>
				</thead>

				<tbody>

                <?php
                foreach ($data['options'] as $optionMerge) {
                    ?>
					<tr replaces-row-id="<?= $optionMerge['id'] ?>">

						<td>
							<input style="width: 320px" type="text" placeholder="Название свойства"
							       data-id="option-name:<?= $optionMerge['id'] ?>"
							       class="options_merge option_name" value="<?= $optionMerge['option_name'] ?>"/>
							→
							<input style="width: 320px" type="text" class="options_merge changed_option_name"
							       value="<?= $optionMerge['changed_option_name'] ?>"
							       placeholder="Заменить на (при необход.)"/>
						</td>
						<td>
							<button class="button button-primary" style="margin: 0px 0"
							        data-json-replaces='<?= $optionMerge['replaces'] ?>'
							        data-target="#replacesModal">
								Открыть список атозамен
								(<span data-count-replaces="<?= $optionMerge['id'] ?>"><?= $optionMerge['replaces'] ? count(@json_decode($optionMerge['replaces'], true)) : 0 ?></span>)
							</button>
						</td>
						<td style="text-align: center">
							<a alt="f182" class="dashicons dashicons-trash pointer delete_options_merge"
							   data-id="<?= $optionMerge['id'] ?>"></a>
						</td>

					</tr>
                    <?php
                    $lev = 1;
                }
                ?>

				<tr id="config">
					<td>
						<input style="width: 320px" type="text" placeholder="Название свойства" id="option_name"
						       data-id="option-name:0"/>
						→
						<input style="width: 320px" type="text" placeholder="Заменить на (при необход.)"
						       id="changed_option_name"/>
					</td>
				</tr>

				</tbody>

			</table>

			<button class="button button-primary" id="add_options_merge" style="margin: 10px 0">Добавить правило
			</button>

        <?php } else {
            ?>
			<div class="flex-center" style="height: 400px;">Для начала, пожалуйста, выберите раздел</div>
        <?php } ?>

	</div>

<?php } ?>

<script>
	const countInSections = JSON.parse('<?=json_encode($data['categoriesTreeExtraData']['countInSection'])?>' || '{}');

    for (const i in countInSections) {
        const option = document.querySelector(`option[value="${i}"]`);
	    option.innerHTML = option.innerHTML + ' •  🏁  (' + countInSections[i] + ')';
    }

</script>
