<?php

if (isset($_GET['action'])) {
    switch ($_GET['action']) {
        case 'del':
            if (isset($_GET['cmd_id']) && intval($_GET['cmd_id']) > 0) {
                $this->db->query("DELETE FROM {$this->db->prefix}4dealer_cmd WHERE cmd_id = " . intval($_GET['cmd_id']) . " LIMIT 1");
                redirect_canonical('/wp-admin/admin.php?page=4dealer_management&tab=process_list&message=ok');
            } else {
                redirect_canonical('/wp-admin/admin.php?page=4dealer_management&tab=process_list&message=error');
            }
            break;
        case 'delAll':
            $this->db->query("DELETE FROM {$this->db->prefix}4dealer_cmd");
            break;
        case 'delFinished':
            $this->db->query("DELETE FROM {$this->db->prefix}4dealer_cmd WHERE status = 2");
            break;
    }
}

function job_name($cmd)
{
    switch ($cmd) {
        case 'short_price_update':
            return 'Быстрое обновление';
        case 'full_price_update':
            return 'Полное обновление';
        case 'clear_old_products':
            return 'Чистка задач';
        case 'update_products':
            return 'Обновление продуктов';
        case 'create_products':
            return 'Создание продуктов';
        case 'hide_duplicates':
            return 'Скрытие дубликатов';
        case 'get_products_info':
            return 'Создание карточек продуктов';

        default:
            return $cmd;
    }
}

function job_status($status)
{
    switch ($status) {
        case '1':
            return 'Запущен';
        case '2':
            return 'Готово';
        case '3':
            return 'Ошибка';
        case '4':
            return 'В очереди';
        case '5':
            return 'Отменен';

        default:
            return $status;
    }
}

// $statuses = array(1,4,3,5,2);

?>

<button class="button button-danger float-right-btn"
        onclick="if(!confirm('Вы точно хотите удалить все процессы?')) event.stopPropagation();
        else this.innerHTML = 'В процессе удаления...'"
        get-href="/wp-admin/admin.php?page=4dealer_management&tab=process_list&action=delAll"
        get-eval="location.reload()">Удалить все процессы
</button>

<button class="button button-primary float-right-btn"
        onclick="if(!confirm('Вы точно хотите удалить все завершенные процессы?')) event.stopPropagation();
        else this.innerHTML = 'В процессе удаления...'"
        get-href="/wp-admin/admin.php?page=4dealer_management&tab=process_list&action=delFinished"
        get-eval="location.reload()">Удалить завершенные
</button>


<table class="wp-list-table widefat striped posts dealers_table" style="margin-top: 10px">
	<thead>
	<tr>
		<td class="manage-column column-cb">Прайс</td>
		<td class="manage-column column-cb">Функция</td>
		<td class="manage-column column-cb">Приоритет</td>
		<th class="manage-column column-thumb">Статус</th>
		<th class="manage-column column-thumb">Дата создания</th>
		<th class="manage-column column-thumb">Дата запуска</th>
		<th class="manage-column column-thumb">Дата выполнения</th>
		<th class="manage-column column-thumb">Обработанно записей</th>
		<th class="manage-column column-thumb">Действия</th>
	</tr>
	</thead>
    <?php
    $pageSize = 50;
    $dbCount = $this->db->get_row("SELECT count(*) as num FROM {$this->db->prefix}4dealer_cmd");
    $jobsCount = $dbCount->num;
    $format = '?page=%#%';
    $totPages = ceil($jobsCount / $pageSize);
    $curPage = isset($_GET['paged']) ? intval($_GET['paged']) : 1;
    $base = isset($base) ? $base : esc_url_raw(str_replace(999999999, '%#%', remove_query_arg('add-to-cart', get_pagenum_link(999999999, false))));
    $offset = ($curPage * $pageSize) - $pageSize;

    $jobs = $this->db->get_results("SELECT * FROM {$this->db->prefix}4dealer_cmd order by status,end_time desc,create_time desc limit {$offset},{$pageSize}");
    $pricesDB = $this->db->get_results("select * from {$this->db->prefix}4dealer_prices");
    foreach ($pricesDB as $price) {
        $prices[$price->price_id] = $price->price_name;
    }
    if (is_array($jobs) && count($jobs) > 0) {
        //foreach ($statuses as $status) { 
        foreach ($jobs as $job) {
            //if ($job->status == $status) {
            ?>
			<tr class="job-row-status-<?= $job->status ?>" id="job-row-status-<?= $job->cmd_id ?>">
				<td><?= $prices[$job->price_id] ?></td>
				<td>
                    <?= job_name($job->cmd) ?> [<?= $job->cmd_id ?>]
				</td>
				<td>
                    <?= $job->priority ?>
				</td>
				<td class="status-col">
                    <?= job_status($job->status) ?>
				</td>
				<td><?= $job->create_time ?></td>
				<td><?= $job->start_time ?></td>
				<td><?= $job->end_time ?></td>
				<td><?= $job->records ?></td>
				<td>
					<a onclick="if(!confirm('Вы точно хотите удалить этот процесс?')) event.stopPropagation()"
					   get-href="/wp-admin/admin.php?page=4dealer_management&tab=process_list&action=del&cmd_id=<?= $job->cmd_id ?>"
					   get-eval="$('#job-row-status-<?= $job->cmd_id ?>').remove()"
					   title="Удалить процесс"
					   alt="f182" class="dashicons dashicons-trash pointer">
					</a>

					<a repeat-price-process="" process-type="<?= $job->cmd ?>" process-id="<?= $job->cmd_id ?>" process-price-id="<?= $job->price_id ?>"
					   title="Повторить процесс"
					   style="margin-left: 10px; font-size: 15px; margin-top: 3px;"
					   alt="f182" class="dashicons dashicons-image-rotate pointer">
					</a>
				</td>
			</tr>
            <?php
            //}
        }
        //}
    }
    ?>

</table>


<button class="button button-danger float-right-btn"
        onclick="if(!confirm('Вы точно хотите удалить все процессы?')) event.stopPropagation();
        else this.innerHTML = 'В процессе удаления...'"
        get-href="/wp-admin/admin.php?page=4dealer_management&tab=process_list&action=delAll"
        get-eval="location.reload()">Удалить все процессы
</button>

<button class="button button-primary float-right-btn"
        onclick="if(!confirm('Вы точно хотите удалить все завершенные процессы?')) event.stopPropagation();
        else this.innerHTML = 'В процессе удаления...'"
        get-href="/wp-admin/admin.php?page=4dealer_management&tab=process_list&action=delFinished"
        get-eval="location.reload()">Удалить завершенные
</button>


<nav class="dealer-pagelinks">
    <?php
    echo paginate_links(array('base' => $base, 'format' => $format, 'add_args' => false, 'current' => max(1, $curPage), 'total' => $totPages, 'prev_text' => '&larr;', 'next_text' => '&rarr;', 'type' => 'list', 'end_size' => 3, 'mid_size' => 3,));
    ?>
</nav>
