<?php
$lev = 1;
$options = "<option value='0'>---все---</option>\n";
?>

	<div>
		<h2>Управление параметрами импорта дистрибьютора</h2>
		<select id="dealers_list" data-tab="dealer_detail">
			<option id="0">Выберите дистрибьютора</option>
            <?php
            foreach ($data['prices'] as $price) {
                ?>
				<option <?php if ($data['selected_id'] == $price->price_id)
                    echo " selected "; ?>
						id="<?= $price->price_id ?>"><?= $price->price_name ?></option>
                <?php
            }
            ?>
		</select>
	</div>
<?php if (isset($data['dealer']) && $data['dealer']) {
    ?>

	<div>

		<h2>Параметры</h2>
		<div class="params">
			<fieldset style="margin: 10px 0" class="general_params">
				Таблица опций товара в описании:
				<input id="product_add_table" type="checkbox" <?php if ($data['dealer']['product_add_table']) { ?>
				       checked="checked" <?php } ?>/ >
			</fieldset>
			<fieldset style="margin: 5px 0">
				Числовое значение количества для "Мало" (*):
				<input id="small_quantity" class="general_params" name="small_quantity"
				       value="<?= $data['dealer']['small_quantity_transform'] ?>"/>
			</fieldset>
			<fieldset style="margin: 5px 0">
				Числовое значение количества для "Достаточно" (**):
				<input id="medium_quantity" class="general_params" name="medium_quantity"
				       value="<?= $data['dealer']['medium_quantity_transform'] ?>"/>
			</fieldset>
			<fieldset style="margin: 5px 0">
				Числовое значение количества для "Много" (***):
				<input id="large_quantity" class="general_params" name="large_quantity"
				       value="<?= $data['dealer']['large_quantity_transform'] ?>"/>
			</fieldset>
			<fieldset style="margin: 5px 0">
				Общая наценка:
				<input id="price_markup" class="general_params" name="price_markup"
				       value="<?= $data['dealer']['price_markup'] ?>"/>
			</fieldset>
			<fieldset style="margin: 5px 0">
				Округление цены:
				<select id="round_price" class="general_params" style="float: right;">
                    <?php
                    $selectedRoundPrice = ['', '', -1 => '', -2 => '', -3 => ''];

                    if(isset($data)) {
                        $selectedRoundPrice[$data['dealer']['round_price']] = 'selected';
                    }
                    ?>
					<option value="0" <?= $selectedRoundPrice[0] ?>>Нет</option>
					<option value="1" <?= $selectedRoundPrice[1] ?>>До целых</option>
					<option value="-1" <?= $selectedRoundPrice[-1] ?>>-1 порядок</option>
					<option value="-2" <?= $selectedRoundPrice[-2] ?>>-2 порядок</option>
					<option value="-3" <?= $selectedRoundPrice[-3] ?>>-3 порядок</option>
				</select>
			</fieldset>
			<fieldset style="margin: 5px 0">
				Правило округления:
				<select id="round_rule" class="general_params" style="float: right;">
                    <?php
                    $selectedRoundRule = ['', ''];

                    if(isset($data)) {
                        $selectedRoundRule[$data['dealer']['round_rule']] = 'selected';
                    }
                    ?>
					<option value="0" <?= $selectedRoundRule[0] ?>>В большую сторону</option>
					<option value="1" <?= $selectedRoundRule[1] ?>>В меньшую сторону</option>
				</select>
			</fieldset>

			<button class="button" id="params_update">Обновить значения параметров</button>
		</div>
		<h2>Наценки</h2>
		<table class="wp-list-table widefat striped posts">
			<thead>
			<tr>
				<th style="width:600px;">Раздел</th>
				<th>Цена от</th>
				<th>Цена до</th>
				<th>Наценка</th>
				<th style="text-align: center">РРЦ как конечная цена</th>
				<th style="text-align: center">Удалить наценку</th>
			</tr>
			</thead>
			<tbody>
            <?php
            foreach ($data['price_markups'] as $price_markup) {
                ?>
				<tr data-id="<?= $price_markup['id'] ?>">
					<td>
						<select class="markup_params categories_tree" data-id="<?= $price_markup['id'] ?>">
                            <?= $this->show_array_tree_select($price_markup['category_id'], $this->getLocalDealerCategories($data['selected_id']), $lev, $options); ?>
						</select>
					</td>
					<td><input class="markup_params price_from" data-id="<?= $price_markup['id'] ?>" type="text"
					           value="<?= $price_markup['price_low'] ?>"/></td>
					<td><input class="markup_params price_to" data-id="<?= $price_markup['id'] ?>" type="text"
					           value="<?= $price_markup['price_high'] ?>"/></td>
					<td><input class="markup_params price_markup" data-id="<?= $price_markup['id'] ?>" type="text"
					           value="<?= $price_markup['markup'] ?>"/></td>

					<td style="text-align: center">
						<input class="checkbox markup_params price_is_rrc" type="checkbox" <?= $price_markup['price_is_rrc'] ? 'checked' : '' ?>>
					</td>

					<td style="text-align: center">
						<a alt="f182" class="dashicons dashicons-trash pointer delete_price_markup"
						   data-id="<?= $price_markup['id'] ?>"></a>
					</td>
				</tr>
                <?php
                $lev = 1;
            }
            ?>
			<tr id="config">
				<td>
					<select id="categories_tree">
                        <?= $this->show_array_tree_select(0, $this->getLocalDealerCategories($data['selected_id']), $lev, $options); ?>
					</select>
				</td>
				<td><input class="markup_params price_from" id="price_from" type="text"/></td>
				<td><input class="markup_params price_to" id="price_to" type="text"/></td>
				<td><input class="markup_params price_markup" id="price_markup_category" type="text"/></td>
				<td style="text-align: center">
					<input id="price_is_rrc" class="checkbox markup_params price_is_rrc" type="checkbox">
				</td>
			</tr>

			</tbody>
		</table>
		<button class="button button-primary" id="add_price_markup" style="margin: 10px 0">Добавить наценку</button>

	</div>
    <?php
}
?>