<?php

/**
 * Provide a admin area view for the plugin
 *
 * This file is used to markup the admin-facing aspects of the plugin.
 *
 * @link       http://4dealer.ru/
 * @since      1.0.0
 *
 * @package    Wp_Fdeal
 * @subpackage Wp_Fdeal/admin/partials
 */

if (!isset($_GET['dealer_id']))
    $_GET['dealer_id'] = '';
?>

<!-- This file should primarily consist of HTML with a little bit of PHP. -->
<div class="wrap">

    <?php if ($this->actualVersion != $this->version) { ?>
		<div class="update-nag notice notice-warning inline">Доступна новая версия плагина
			4dealer <?= $this->actualVersion ?>!
			<a href="https://4dealer.ru/api_wp" target="_blank">Пожалуйста, обновитесь</a>.
		</div>
    <?php } ?>

    <?php if (!class_exists('SoapClient')) { ?>
		<div class="update-nag notice notice-error inline">
			Важно: на сервере не установлено необходимое для работы импорта расширение PHP-Soap.
			Свяжитесь с администратором вашего сайта для его установки.
		</div>
    <?php } ?>

    <h2 class="nav-tab-wrapper">
        <a href="?page=4dealer_management&tab=dealers_list&dealer_id=<?=$_GET['dealer_id']?>" class="nav-tab <?php echo $active_tab == 'dealers_list' ? 'nav-tab-active' : ''; ?>">Список доступных дистрибьюторов</a>
        <a href="?page=4dealer_management&tab=cat_map&dealer_id=<?=$_GET['dealer_id']?>" class="nav-tab <?php echo $active_tab == 'cat_map' ? 'nav-tab-active' : ''; ?>">Сопоставление категорий</a>
        <a href="?page=4dealer_management&tab=dealer_detail&dealer_id=<?=$_GET['dealer_id']?>" class="nav-tab <?php echo $active_tab == 'dealer_detail' ? 'nav-tab-active' : ''; ?>">Наценки / Настройки параметров дистрибьютора</a>
        <a href="?page=4dealer_management&tab=general_options&dealer_id=<?=$_GET['dealer_id']?>" class="nav-tab <?php echo $active_tab == 'general_options' ? 'nav-tab-active' : ''; ?>">Общие настройки</a>
        <a href="?page=4dealer_management&tab=options_merge&dealer_id=<?=$_GET['dealer_id']?>" class="nav-tab <?php echo $active_tab == 'options_merge' ? 'nav-tab-active' : ''; ?>">Сведение свойств</a>
        <a href="?page=4dealer_management&tab=process_list&dealer_id=<?=$_GET['dealer_id']?>" class="nav-tab <?php echo $active_tab == 'process_list' ? 'nav-tab-active' : ''; ?>">Список процессов</a>
    </h2>
<?php
include_once($active_tab.".php");
//var_dump(Connector::getPricesList());
//var_dump($prices);
//print_r($data);
?>
</div>

